MissingH-1.2.0.0: Large utility library

Portability | portable
Stability | provisional
Maintainer | Ian Lynagh <igloo@earth.li>
Safe Haskell | None

Data.Hash.MD5

Description

Generation of MD5sums

Written by Ian Lynagh, igloo@earth.li

Synopsis

- md5 :: MD5 a => a -> ABCD
- md5s :: MD5 a => a -> String
- md5i :: MD5 a => a -> Integer
- class MD5 a where
  - get_next :: a -> ([Word32], Int, a)
  - len_pad :: Zord64 -> a -> a
  - finished :: a -> Bool
- newtype ABCD = ABCD (Word32, Word32, Word32, Word32)
- type Zord64 = Word64
- newtype Str = Str String
- newtype BoolList = BoolList [Bool]
- newtype WordList = WordList ([Word32], Zord64)

# Documentation

md5 :: MD5 a => a -> ABCD Source

The simplest function, gives you the MD5 of a string as 4-tuple of 32bit words.

md5s :: MD5 a => a -> String Source

Returns a hex number ala the md5sum program.

md5i :: MD5 a => a -> Integer Source

Returns an integer equivalent to hex number from `md5s`.

class MD5 a where Source

Anything we want to work out the MD5 of must be an instance of class MD5

Methods

get_next :: a -> ([Word32], Int, a)Source

len_pad :: Zord64 -> a -> aSource

finished :: a -> Bool Source

Instances

MD5 WordList |
MD5 BoolList |
MD5 Str |

newtype ABCD Source

Constructors

ABCD (Word32, Word32, Word32, Word32) |

Instances

Eq ABCD |
Num ABCD |
Show ABCD |

type Zord64 = Word64 Source

newtype Str Source

Constructors

Str String |

Instances

MD5 Str |

newtype BoolList Source

Constructors

BoolList [Bool] |

Instances

MD5 BoolList |

newtype WordList Source

Constructors

WordList ([Word32], Zord64) |

Instances

MD5 WordList |